#ifndef _MYMODULETYPE_H_
#define _MYMODULETYPE_H_

#include "../../txmlobject.h"

class ModuleType;

class MyModuleType:public TXmlObject
{
protected:
	void doSerialize(TiXmlElement& element) const;
	void doDeserialize(const TiXmlElement& element);
public:
	static TXmlObject* newObject()
	{
		return new MyModuleType(0);
	}

	static const char* type;
	const char* getType() const;

	MyModuleType* clone()
	{
		return new MyModuleType(moduleType);
	}

	ModuleType* moduleType;
	MyModuleType(ModuleType* moduleType):moduleType(moduleType)
	{
	}
};

#endif/*_MYMODULETYPE_H_*/
